var c = Object.defineProperty;
var l = (i, a, t) => a in i ? c(i, a, { enumerable: !0, configurable: !0, writable: !0, value: t }) : i[a] = t;
var s = (i, a, t) => l(i, typeof a != "symbol" ? a + "" : a, t);
class h {
  constructor(a, t, n, r, e = !1) {
    s(this, "transaction");
    s(this, "network");
    s(this, "chain");
    s(this, "description");
    s(this, "parallelizable");
    this.transaction = a, this.network = t, this.chain = n, this.description = r, this.parallelizable = e;
  }
}
export {
  h as E
};
